#pragma once


namespace armarx::RobotUnitDataStreaming
{
    struct TimeStep;
    struct DataStreamingDescription;
    struct DataEntry;
}
namespace armarx::armem::arondto
{
    class Proprioception;
}

namespace armarx::armem::server::robot_state
{
    class RobotUnitConverterInterface
    {
    public:

        virtual ~RobotUnitConverterInterface();

        virtual arondto::Proprioception convert(
            const RobotUnitDataStreaming::TimeStep& data,
            const RobotUnitDataStreaming::DataStreamingDescription& description) = 0;

    };
}

